package util;

import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.UnknownHostException;


public class PasvResponse {
	private boolean ok = false;
	private InetAddress inetAddress = null;
	private int port = 0;
	private InetSocketAddress socketAddress = null;
	
	public PasvResponse(String line) throws UnknownHostException {
		
		if (!line.substring(0, 4).equals("227 ")) {
			System.err.println(line + " not matches");
			this.ok = false;
			return;
		}
		this.ok = true;
		String [] addrPart = line.substring(line.indexOf('(')+1, line.indexOf(')')).split(",");
		String ipAddr = addrPart[0] + "." + addrPart[1] + "." + addrPart[2] + "." + addrPart[3];
		this.inetAddress = InetAddress.getByName(ipAddr); 
		this.port = Integer.parseInt(addrPart[4]) * 256 + Integer.parseInt(addrPart[5]);
		this.socketAddress = new InetSocketAddress(this.inetAddress, this.port);
		this.ok = true;
		
	}
	
	
	public boolean isOk() {
		return this.ok;
	}
	
	public InetAddress getInetAddress() {
		return this.inetAddress;
	}
	
	public int getPort() {
		return this.port;
	}

	
	public InetSocketAddress getSocketAddress() {
		return this.socketAddress;
	}
}
